Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6390 - newt segfaults with empty listboxes
Summary: newt segfaults with empty listboxes
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: newt
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-26 18:10 UTC by Nalin Dahyabhai
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-12-21 00:34:33 UTC


Attachments (Terms of Use)

Description Nalin Dahyabhai 1999-10-26 18:10:22 UTC
I'm working on a simple program that allows the user to
populate an initially-empty listbox.  If the user presses
an alpha key, newt segfaults at listbox.c:636 because
item == NULL.

Change:
if (item->text && (toupper(*item->text) ==
toupper(ev.u.key))) {
to:
if (item && item->text && (toupper(*item->text) ==
toupper(ev.u.key))) {

...and it goes away.


Note You need to log in before you can comment on or make changes to this bug.